﻿using System;
using System.Windows.Forms;

namespace EthernetSpeedMonitor
{
    public partial class SettingsForm : Form
    {
        // Свойства для передачи данных между формами
        public bool StartWithWindows { get; set; }
        public int UpdateIntervalSeconds { get; set; }

        public SettingsForm()
        {
            InitializeComponent();
        }

        private void SettingsForm_Load(object sender, EventArgs e)
        {
            // Загружаем переданные настройки в контролы
            chkAutoStart.Checked = this.StartWithWindows;
            // Убедимся, что значение в пределах допустимого для NumericUpDown
            if (this.UpdateIntervalSeconds >= numUpdateInterval.Minimum &&
                this.UpdateIntervalSeconds <= numUpdateInterval.Maximum)
            {
                numUpdateInterval.Value = this.UpdateIntervalSeconds;
            }
            else
            {
                // Если значение некорректное, ставим значение по умолчанию
                numUpdateInterval.Value = 5;
            }
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            // Сохраняем выбранные настройки обратно в свойства
            this.StartWithWindows = chkAutoStart.Checked;
            this.UpdateIntervalSeconds = (int)numUpdateInterval.Value;

            // DialogResult уже установлен в OK в дизайнере, форма закроется
            // this.DialogResult = DialogResult.OK; // Можно и здесь, если не задано в дизайнере
            // this.Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            // DialogResult уже установлен в Cancel в дизайнере, форма закроется
            // this.DialogResult = DialogResult.Cancel;
            // this.Close();
        }
    }
}